> ## Documentation Index
> Fetch the complete documentation index at: https://developers.everflow.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Traffic Sources

> Retrieve all active traffic sources for the network. Filterable by time_created and time_saved.




## OpenAPI

````yaml openapi/traffic-sources.yaml get /networks/trafficsource
openapi: 3.0.3
info:
  title: Everflow Network API - Traffic Sources
  description: >
    Endpoints for managing traffic sources in the Everflow network. Traffic
    sources are a powerful way of appending parameters and values to links for
    partners. For setup details, see the [Traffic Sources
    guide](https://helpdesk.everflow.io/customer/how-to-create-link-templates-with-traffic-sources).
  version: 1.0.0
servers:
  - url: https://api.eflow.team/v1
security: []
tags:
  - name: Traffic Sources
paths:
  /networks/trafficsource:
    get:
      tags:
        - Traffic Sources
      summary: List Traffic Sources
      description: >
        Retrieve all active traffic sources for the network. Filterable by
        time_created and time_saved.
      responses:
        '200':
          description: ''
          content:
            application/json:
              example:
                traffic_sources:
                  - network_traffic_source_id: 1
                    network_id: 1
                    name: test
                    postback_url: https://www.testpostback.com
                    time_created: 1774721376
                    time_saved: 1774721376
                    relationship:
                      parameters:
                        total: 2
                        entries:
                          - network_traffic_source_id: 1
                            network_id: 1
                            tracking_parameter: param1
                            tracking_value: value1
                          - network_traffic_source_id: 1
                            network_id: 1
                            tracking_parameter: param2
                            tracking_value: value2
                    is_public: false
              schema:
                type: object
                properties:
                  traffic_sources:
                    type: array
                    items:
                      $ref: '#/components/schemas/TrafficSource'
      security:
        - API Key: []
components:
  schemas:
    TrafficSource:
      type: object
      properties:
        network_traffic_source_id:
          type: integer
          description: Unique traffic source ID.
        network_id:
          type: integer
          description: Network ID.
        name:
          type: string
          description: Name of the traffic source.
        postback_url:
          type: string
          description: Postback URL for this traffic source.
        time_created:
          type: integer
          example: 1734455015
          description: Unix timestamp of creation.
        time_saved:
          type: integer
          example: 1734455015
          description: Unix timestamp of last update.
        relationship:
          type: object
          properties:
            parameters:
              type: object
              properties:
                total:
                  type: integer
                  description: Total number of parameters.
                entries:
                  type: array
                  items:
                    type: object
                    properties:
                      network_traffic_source_id:
                        type: integer
                      network_id:
                        type: integer
                      tracking_parameter:
                        type: string
                        description: The tracking parameter name.
                      tracking_value:
                        type: string
                        description: The tracking parameter value.
        is_public:
          type: boolean
          description: >
            When true, affiliates can select this traffic source when generating
            tracking links.
  securitySchemes:
    API Key:
      description: The Everflow API key generated from the Control Center > Security.
      in: header
      name: X-Eflow-Api-Key
      type: apiKey

````